Subject: bug#66575: [PATCH] Gud lldb support

From: Gerd Möllmann <[email-masked]>
Date: Tue, 17 Oct 2023 19:01:19 +0200

Mattias Engdegård <[email-masked]> writes:

>> I also kind of found what the preferred API of LLDB is, which I think
>> you asked earlier: I think it's C++.  LLDB is actually a library, and
>> the lldb executable itself is a thin wrapper using LLDB's C++ API to do
>> its job.  Likewise for other tools using LLDB.
>
> There is a DAP module for LLDB, apparently mostly written in Rust:
>
>   https://github.com/vadimcn/codelldb

AFAIK, llvm-vscode, which is part of LLDB, is also a DAP module.  But
that's C++, of course, so I'm not surprised that it needed a Rust
rewrite :-).